# Record Class TwoPhaseCommitInterceptor.MapEntry

java.lang.Object
java.lang.Record
org.apache.catalina.tribes.group.interceptors.TwoPhaseCommitInterceptor.MapEntry

Enclosing class:
  `TwoPhaseCommitInterceptor`

public static record TwoPhaseCommitInterceptor.MapEntry(ChannelMessage msg, UniqueId id, long timestamp) extends Record

## Constructor Summary

Constructors
Constructor
Description
`MapEntry(ChannelMessage msg, UniqueId id, long timestamp)`
Creates an instance of a `MapEntry` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`boolean`
`expired(long now, long expiration)`
`final int`
`hashCode()`
Returns a hash code value for this object.
`UniqueId`
`id()`
Returns the value of the `id` record component.
`ChannelMessage`
`msg()`
Returns the value of the `msg` record component.
`long`
`timestamp()`
Returns the value of the `timestamp` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MapEntry

public MapEntry(ChannelMessage msg, UniqueId id, long timestamp)
Creates an instance of a `MapEntry` record class.

Parameters:
  `msg` - the value for the `msg` record component
  `id` - the value for the `id` record component
  `timestamp` - the value for the `timestamp` record component

## Method Details

### expired

public boolean expired(long now, long expiration)

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### msg

public ChannelMessage msg()
Returns the value of the `msg` record component.

Returns:
  the value of the `msg` record component

### id

public UniqueId id()
Returns the value of the `id` record component.

Returns:
  the value of the `id` record component

### timestamp

public long timestamp()
Returns the value of the `timestamp` record component.

Returns:
  the value of the `timestamp` record component